### Hierarchy

- TypeParser

### Implements

- Parser

## Index

### Properties

- pokemonTypeRegex

### Methods

- Parse
- isItemTemplatePokemonType

## Properties

### Private pokemonTypeRegex

pokemonTypeRegex: string = "^POKEMON_TYPE_.*$"

- Defined in components/type/type.parser.ts:5

## Methods

### Parse

- Parse(gameMaster: RootObject): Type[]

- Implementation of Parser.Parse

  - Defined in components/type/type.parser.ts:10

  #### Parameters

  - ##### gameMaster: RootObject

  #### Returns Type[]

### Private isItemTemplatePokemonType

- isItemTemplatePokemonType(item: ItemTemplate): boolean

- - Defined in components/type/type.parser.ts:6

  #### Parameters

  - ##### item: ItemTemplate

  #### Returns boolean

Generated using TypeDoc